Module
Contents
Index 🔎︎

# CLng Function

Converts any string or numeric expression to a long integer.

## Syntax:

    CLng (Expression)

## Return value:

Long

## Parameters:

Expression: Any numerical expression that you want to convert. If the Expression lies outside the valid long integer range between -2.147.483.648 and 2.147.483.647, LibreOffice Basic returns an overflow error. To convert a string expression, the number must be entered as normal text ("123.5") using the default number format of your operating system.

This function always rounds the fractional part of a number to the nearest integer.

## Error codes:

5 Invalid procedure call

## Example:

    Sub ExampleCountryConvert
        MsgBox CDbl(1234.5678)
        MsgBox CInt(1234.5678)
        MsgBox CLng(1234.5678)
    End Sub